msgb Struct Reference
Message buffers

Osmocom message buffer. More...

`#include <msgb.h>`

## Data Fields

struct llist_head | list
| linked list header
union {
void * dst
| reference of origin/destination
struct gsm_bts_trx * trx
}; |
struct gsm_lchan * | lchan
| logical channel
unsigned char * | l1h
| pointer to Layer1 header (if any)
unsigned char * | l2h
| pointer to A-bis layer 2 header: OML, RSL(RLL), NS
unsigned char * | l3h
| pointer to Layer 3 header. For OML: FOM; RSL: 04.08; GPRS: BSSGP
unsigned char * | l4h
| pointer to layer 4 header
unsigned long | cb [5]
| control buffer
uint16_t | data_len
| length of underlying data array
uint16_t | len
| length of bytes used in msgb
unsigned char * | head
| start of underlying memory buffer
unsigned char * | tail
| end of message in buffer
unsigned char * | data
| start of message in buffer
unsigned char | _data [0]
| optional immediate data array

## Detailed Description

Osmocom message buffer.

The documentation for this struct was generated from the following file:

- include/osmocom/core/msgb.h